import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { ReadyToMoveMaster } from '../models';
import { ReadyToMoveMasterRepository } from '../repositories';
export declare class ReadytomovemasterController {
    readyToMoveMasterRepository: ReadyToMoveMasterRepository;
    constructor(readyToMoveMasterRepository: ReadyToMoveMasterRepository);
    create(readyToMoveMaster: Omit<ReadyToMoveMaster, 'readytomoveId'>): Promise<ReadyToMoveMaster>;
    count(where?: Where<ReadyToMoveMaster>): Promise<Count>;
    find(filter?: Filter<ReadyToMoveMaster>): Promise<ReadyToMoveMaster[]>;
    updateAll(readyToMoveMaster: ReadyToMoveMaster, where?: Where<ReadyToMoveMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<ReadyToMoveMaster>): Promise<ReadyToMoveMaster>;
    updateById(id: number, readyToMoveMaster: ReadyToMoveMaster): Promise<void>;
    replaceById(id: number, readyToMoveMaster: ReadyToMoveMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
